Class List Method List File List

# Class: ROTP::Arguments

Inherits:
  Object
  - Object
  - ROTP::Arguments
  show all
Defined in:
  lib/rotp/arguments.rb

## Instance Method Summary (collapse)

- - (Arguments) initialize(filename, arguments) constructor

  A new instance of Arguments.

- - (Object) options
- - (Object) to_s

## Constructor Details

### - (`Arguments`) initialize(filename, arguments)

Returns a new instance of Arguments

    7
    8
    9
    10

    # File 'lib/rotp/arguments.rb', line 7

    def initialize(filename, arguments)
      @filename = filename
      @arguments = Array(arguments)
    end

## Instance Method Details

### - (`Object`) options

    12
    13
    14
    15

    # File 'lib/rotp/arguments.rb', line 12

    def options
      parse
      options!
    end

### - (`Object`) to_s

    17
    18
    19

    # File 'lib/rotp/arguments.rb', line 17

    def to_s
      parser.help + "\n"
    end